## org.python.core
Class PyJavaPackage

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyJavaPackage

All Implemented Interfaces:
  java.io.Serializable

    public class PyJavaPackage

extends PyObject

A representation of java package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`PyStringMap` `__dict__`
`java.lang.String` `__file__`
`PackageManager` `__mgr__` (Control) package manager whose hierarchy contains this java pkg.
`java.lang.String` `__name__`
`PyStringMap` `clsSet` Its keys are the names of statically known classes.

Fields inherited from class org.python.core.PyObject
`exposed_name`

Constructor Summary
`PyJavaPackage(java.lang.String name)`
`PyJavaPackage(java.lang.String name, PackageManager mgr)`
`PyJavaPackage(java.lang.String name, PackageManager mgr, java.lang.String jarfile)`
`PyJavaPackage(java.lang.String name, java.lang.String jarfile)`

Method Summary
`PyObject` `__dir__()` Equivalent to the standard Python __dir__ method.
`PyObject` `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`void` `__setattr__(java.lang.String attr, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`PyObject` `addClass(java.lang.String name, java.lang.Class c)`
`PyObject` `addLazyClass(java.lang.String name)`
`PyJavaPackage` `addPackage(java.lang.String name)`
`PyJavaPackage` `addPackage(java.lang.String name, java.lang.String jarfile)`
`void` `addPlaceholders(java.lang.String classes)` Add statically known classes.
`PyObject` `fillDir()` Used for 'from xyz import *', dynamically dir pkg filling up __dict__.
`java.lang.String` `safeRepr()`
`java.lang.String` `toString()`

Methods inherited from class org.python.core.PyObject

`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asInt, asLong, asName, asString, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getDoc, getType, hashCode, implementsDescrDelete, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType, typeSetup`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __name__

    public java.lang.String __name__

### __dict__

    public PyStringMap __dict__

### clsSet

    public PyStringMap clsSet

  Its keys are the names of statically known classes. E.g. from jars pre-scan.

### __file__

    public java.lang.String __file__

### __mgr__

    public PackageManager __mgr__

  (Control) package manager whose hierarchy contains this java pkg.

Constructor Detail

### PyJavaPackage

    public PyJavaPackage(java.lang.String name)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         java.lang.String jarfile)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         PackageManager mgr)

### PyJavaPackage

    public PyJavaPackage(java.lang.String name,
                         PackageManager mgr,
                         java.lang.String jarfile)

Method Detail

### addPackage

    public PyJavaPackage addPackage(java.lang.String name)

### addPackage

    public PyJavaPackage addPackage(java.lang.String name,
                                    java.lang.String jarfile)

### addClass

    public PyObject addClass(java.lang.String name,
                             java.lang.Class c)

### addLazyClass

    public PyObject addLazyClass(java.lang.String name)

### addPlaceholders

    public void addPlaceholders(java.lang.String classes)

  Add statically known classes.

  Parameters:
    `classes` - their names as comma-separated string

### __dir__

    public PyObject __dir__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __dir__ method.

  Overrides:
    `__dir__` in class `PyObject`
  Returns:
    a list of names defined by this object.

### fillDir

    public PyObject fillDir()

  Used for 'from xyz import *', dynamically dir pkg filling up __dict__. It uses `PackageManager.doDir(org.python.core.PyJavaPackage, boolean, boolean)` implementation furnished by the control package manager with instatiate true. The package manager should lazily load classes with `addLazyClass(java.lang.String)` in the package.

  Returns:
    list of member names

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. Warning: name must be an interned string!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### __setattr__

    public void __setattr__(java.lang.String attr,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `attr` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PyObject`

### safeRepr

    public java.lang.String safeRepr()
                              throws PyIgnoreMethodTag

  Overrides:
    `safeRepr` in class `PyObject`
  Throws:
    `PyIgnoreMethodTag`
  See Also:
    `PyObject.safeRepr()`

Jython homepage